Cantera 2.6.0

Public Member Functions | Private Attributes | List of all members
AnyMap::Iterator Class Reference

Defined to allow use with range-based for loops. More...

`#include <AnyMap.h>`

## Public Member Functions
| Iterator (const std::unordered_map< std::string, AnyValue >::const_iterator &start, const std::unordered_map< std::string, AnyValue >::const_iterator &stop)
const std::pair< const std::string, AnyValue > & | operator* () const
const std::pair< const std::string, AnyValue > * | operator-> () const
bool | operator!= (const Iterator &right) const
Iterator & | operator++ ()

## Private Attributes
std::unordered_map< std::string, AnyValue >::const_iterator | m_iter
std::unordered_map< std::string, AnyValue >::const_iterator | m_stop

## Detailed Description

Defined to allow use with range-based for loops.

Iteration automatically skips over keys that start and end with double underscores.

Definition at line 508 of file AnyMap.h.

## Constructor & Destructor Documentation

## ◆ Iterator() [1/2]

Iterator | ( |  | ) |
| inline

Definition at line 510 of file AnyMap.h.

## ◆ Iterator() [2/2]

Iterator | ( | const std::unordered_map< std::string, AnyValue >::const_iterator & | start,
|  | const std::unordered_map< std::string, AnyValue >::const_iterator & | stop
| ) |  |

Definition at line 1534 of file AnyMap.cpp.

## Member Function Documentation

## ◆ operator*()

const std::pair< const std::string, AnyValue > & operator* | ( |  | ) | const
| inline

Definition at line 514 of file AnyMap.h.

## ◆ operator->()

const std::pair< const std::string, AnyValue > * operator-> | ( |  | ) | const
| inline

Definition at line 517 of file AnyMap.h.

## ◆ operator!=()

bool operator!= | ( | const Iterator & | right | ) | const
| inline

Definition at line 520 of file AnyMap.h.

## ◆ operator++()

AnyMap::Iterator & operator++ | ( |  | ) |

Definition at line 1547 of file AnyMap.cpp.

## Member Data Documentation

## ◆ m_iter

std::unordered_map<std::string,AnyValue>::const_iterator m_iter
| private

Definition at line 526 of file AnyMap.h.

## ◆ m_stop

std::unordered_map<std::string,AnyValue>::const_iterator m_stop
| private

Definition at line 527 of file AnyMap.h.

The documentation for this class was generated from the following files:

- AnyMap.h
- AnyMap.cpp